Lists menu issue clustering runs for a brand.
HTTP request
GET https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/menuIssueClusteringRuns
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent brand containing the menu issue clustering runs to list. Format: projects/{project}/locations/{location}/brands/{brand} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of menu issue clustering runs to return. The service may return fewer than this value. If unspecified, at most 50 menu issue clustering runs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A page token received from a previous |
filter |
Optional. Filter expression to restrict the returned menu issue clustering runs (e.g., |
Request body
The request body must be empty.
Response body
Response message for MenuService.ListMenuIssueClusteringRuns.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"menuIssueClusteringRuns": [
{
object ( |
| Fields | |
|---|---|
menuIssueClusteringRuns[] |
The list of retrieved menu issue clustering runs, ordered from newest to oldest by |
nextPageToken |
A token that can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.